Stage or execute selections onto the DRAFT campaign
curl --request POST \
--url https://api.semicola.com/api/v2/buyer/media-buys/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productQueryId": "<string>",
"campaign": {
"campaignId": "<string>"
},
"selections": [
{
"productId": "<string>",
"storefrontId": 123,
"pricingOptionId": "<string>",
"budget": "<string>",
"bidPrice": "<string>",
"groupId": "<string>"
}
],
"replace": true
}
'import requests
url = "https://api.semicola.com/api/v2/buyer/media-buys/batch"
payload = {
"productQueryId": "<string>",
"campaign": { "campaignId": "<string>" },
"selections": [
{
"productId": "<string>",
"storefrontId": 123,
"pricingOptionId": "<string>",
"budget": "<string>",
"bidPrice": "<string>",
"groupId": "<string>"
}
],
"replace": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
productQueryId: '<string>',
campaign: {campaignId: '<string>'},
selections: [
{
productId: '<string>',
storefrontId: 123,
pricingOptionId: '<string>',
budget: '<string>',
bidPrice: '<string>',
groupId: '<string>'
}
],
replace: true
})
};
fetch('https://api.semicola.com/api/v2/buyer/media-buys/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"campaignId": "<string>",
"campaignCreated": true,
"mediaBuyRefs": [
{
"mediaBuyId": "<string>",
"status": "<string>",
"pendingAt": "<string>"
}
],
"errors": [
{
"storefrontId": 0,
"code": "<string>",
"message": "<string>"
}
],
"noOp": true
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Media Buys
Stage or execute selections onto the DRAFT campaign
POST
/
api
/
v2
/
buyer
/
media-buys
/
batch
Stage or execute selections onto the DRAFT campaign
Authorizations
bearerAuthsessionCookie
API key or OAuth access token.
Headers
Required string length:
16 - 255Pattern:
^[A-Za-z0-9_.:-]+$Body
application/json